Agora Java API Reference for Android

Public Attributes | List of all members
agora::rtc::ChannelMediaRelayConfiguration Struct Reference

`#include <AgoraBase.h>`

## Public Attributes
ChannelMediaInfo * | srcInfo
ChannelMediaInfo * | destInfos
int | destCount

## Detailed Description

The definition of ChannelMediaRelayConfiguration.

## Member Data Documentation

## ◆ srcInfo

ChannelMediaInfo* agora::rtc::ChannelMediaRelayConfiguration::srcInfo

The information of the source channel `ChannelMediaInfo`. It contains the following members:

- `channelName`: The name of the source channel. The default value is `NULL`, which means the SDK applies the name of the current channel.
- `uid`: The unique ID to identify the relay stream in the source channel. The default value is 0, which means the SDK generates a random UID. You must set it as 0.
- `token`: The token for joining the source channel. It is generated with the `channelName` and `uid` you set in `srcInfo`.
  - If you have not enabled the App Certificate, set this parameter as the default value `NULL`, which means the SDK applies the App ID.
  - If you have enabled the App Certificate, you must use the token generated with the `channelName` and `uid`, and the `uid` must be set as 0.

## ◆ destInfos

ChannelMediaInfo* agora::rtc::ChannelMediaRelayConfiguration::destInfos

The information of the destination channel `ChannelMediaInfo`. It contains the following members:

- `channelName`: The name of the destination channel.
- `uid`: The unique ID to identify the relay stream in the destination channel. The value ranges from 0 to (2^32-1). To avoid UID conflicts, this `UID` must be different from any other `UID` in the destination channel. The default value is 0, which means the SDK generates a random `UID`. Do not set this parameter as the `UID` of the host in the destination channel, and ensure that this `UID` is different from any other `UID` in the channel.
- `token`: The token for joining the destination channel. It is generated with the `channelName` and `uid` you set in `destInfos`.
  - If you have not enabled the App Certificate, set this parameter as the default value NULL, which means the SDK applies the App ID. If you have enabled the App Certificate, you must use the token generated with the `channelName` and `uid`.

## ◆ destCount

int agora::rtc::ChannelMediaRelayConfiguration::destCount

The number of destination channels. The default value is 0, and the value range is from 0 to

1. Ensure that the value of this parameter corresponds to the number of `ChannelMediaInfo` structs you define in `destInfo`.